## libgnomekbd 3.28.1

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Generate gir data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')
option('tests',
       type : 'boolean', value : true,
       description: 'Enable tests')

## libgnomekbd 2.30.2

=== debian/changelog ===
libgnomekbd (2.30.2-2) unstable; urgency=low

  * 10_null_style_crasher.patch: stolen from upstream git. Fix a crasher 
    when there is a font declared but no style. Closes: #589391.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 13:00:05 +0100

libgnomekbd (2.30.2-1) unstable; urgency=low

  * New upstream translation and bugfix release.
  * Switch to 3.0 source format.
  * 02_layout_crash.patch: dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Sep 2010 20:55:51 +0200

libgnomekbd (2.30.1-2) unstable; urgency=low

  * 02_layout_crash.patch: stolen upstream. Fixes a crasher caused by an 
    unitialized value. Hopefully closes: #580228.

 -- Josselin Mouette <joss@debian.org>  Wed, 05 May 2010 19:02:02 +0200

libgnomekbd (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/02_fontsize_schema.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Apr 2010 06:22:54 +0200

libgnomekbd (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * 10_gsd_crash.patch: dropped, merged upstream.
  * 02_fontsize_schema.patch: new patch. Set a default for the font 
    size, to avoid warnings upon installation and at runtime.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:00:33 +0200

libgnomekbd (2.29.92-1) experimental; urgency=low

  * New upstream release candidate.
  * Bump shlibs version.
  * Bump libxklavier dependency.
  * Drop D-Bus dependencies.
  * 01_requires_private.patch: updated for the new version.
  * 10_gsd_crash.patch: stolen upstream. Avoid a crasher.

 -- Josselin Mouette <joss@debian.org>  Sun, 28 Mar 2010 11:02:15 +0200

libgnomekbd (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:47:46 +0100

libgnomekbd (2.28.0-2) unstable; urgency=low

  * Upload to unstable.
    - debian/rules: Remove check-dist.mk.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 19:39:54 +0200

libgnomekbd (2.28.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add a watch file.

  [ Josselin Mouette ]
  * Depend on iso-codes. Closes: #407795.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/control.in:
      + Build depend and depend on libxklavier-dev >= 4.0, stop build
        depending on libglade2-dev.
      + Let libgnomekbd-dev depend on ${misc:Depends}.
    - debian/control.in,
      debian/libgnomekbd4.install,
      debian/libgnomekbd3.install:
      + Rename libgnomekdbd3 to libgnomekbd4 for the new SONAME.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules: Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 08 Oct 2009 12:32:02 +0200

libgnomekbd (2.26.0-1) unstable; urgency=low

  * New upstream release.
  * 02_xkbcrap_crash.patch: removed, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Jun 2009 16:53:59 +0200

libgnomekbd (2.24.0-3) unstable; urgency=low

  * 02_xkbcrap_crash.patch: new patch. Fix crashes of gkb applet and 
    gnome-screensaver (makes it unusable) when the XKB configuration is 
    botched.

 -- Josselin Mouette <joss@debian.org>  Fri, 10 Apr 2009 23:30:58 +0200

libgnomekbd (2.24.0-2) unstable; urgency=low

  * Upload to unstable.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 08:37:20 +0200

libgnomekbd (2.24.0-1) experimental; urgency=low

  * New upstream release.
  * Rename library package to libgnomekbd3.
  * Relax dependencies on libgnomekbd-common.
  * Set section of the source package to gnome.
  * Update build-dependencies and dependencies for the new versions.
  * Drop the libgnomekbdui packages, they don’t make sense now the 
    libgnome dependency has gone.
  * Standards version is 3.8.0.
  * Introduce quilt for patch management; build-depend on quilt.
  * 01_requires_private.patch: new patch. Move dependencies to 
    Requires.private.
  * libgnomekbd-dev conflicts/replaces/provides libgnomekbdui-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 17:45:55 +0100

libgnomekbd (2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/gkbd-capplet.install:
      - Remove icon path, the icon was removed and it uses a standard one now.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Mar 2008 23:28:06 +0100

libgnomekbd (2.21.4.1-2) experimental; urgency=low

  * debian/control.in:
    + Fix libgconf2-dev dependency.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:54:44 +0100

libgnomekbd (2.21.4.1-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies and dependencies.
    + Update to new soname.
    + debian/gkbd-capplet.install:
      - Ship icon.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:38:54 +0100

libgnomekbd (2.20.0-3) unstable; urgency=low

  * debian/control.in:
    + Let the -dev package depend on libxklavier12-dev too.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:54:16 +0100

libgnomekbd (2.20.0-2) unstable; urgency=low

  * debian/control.in:
    + Rebuild against libxklavier12-dev and build depend on
      libxklavier12-dev | libxklavier-dev.
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:41:29 +0100

libgnomekbd (2.20.0-1) unstable; urgency=low

  * New upstream release, no API changes:
    + debian/control.in:
      - Build depend on intltool.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 12:52:54 +0200

libgnomekbd (2.18.2-1) unstable; urgency=low

  * New upstream release; bug fixes and translations; no API change.

 -- Loic Minier <lool@dooz.org>  Tue, 22 May 2007 13:39:14 +0200

libgnomekbd (2.18.1-2) unstable; urgency=low

  * Upload to unstable.
  * Pass --as-needed to ld.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libgnomekbd
Section: gnome
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
        autotools-dev,
        cdbs,
        gnome-pkg-tools (>= 0.10),
        dpkg-dev (>= 1.13.19),
        libglib2.0-dev (>= 2.16),
        libgconf2-dev (>= 2.14.0),
        libgtk2.0-dev (>= 2.13),
        libxklavier-dev (>= 5.0),
        intltool (>= 0.35)
Standards-Version: 3.8.3

Package: libgnomekbd-dev
Section: libdevel
Architecture: any
Conflicts: libgnomekbdui-dev
Replaces: libgnomekbdui-dev
Provides: libgnomekbdui-dev
Depends: libgnomekbd4 (= ${binary:Version}),
        ${misc:Depends},
        libglib2.0-dev (>= 2.16),
        libgtk2.0-dev (>= 2.13),
        libgconf2-dev (>= 2.14.0),
        libxklavier-dev (>= 5.0),
        libx11-dev
Description: GNOME library to manage keyboard configuration - development files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the development files.

Package: libgnomekbd4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libgnomekbd-common (>= ${source:Version}),
        iso-codes
Description: GNOME library to manage keyboard configuration - shared library
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the shared library.

Package: libgnomekbd-common
Section: libs
Architecture: all
Depends: ${shlibs:Depends},
        ${misc:Depends}
Replaces: capplets-data (<< 1:2.17.2)
Description: GNOME library to manage keyboard configuration - common files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations. 
 .
 This package contains files common to the various libgnomekbd packages.

Package: gkbd-capplet
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends}
Description: GNOME Panel applet for libgnomekbd
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 This package contains a configuration applet to select enabled libgnomekbd
 plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgnomekbd4 += -V 'libgnomekbd4 (>= 2.29.5)'

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgnomekbd/([\d\.]+)[02468]/ \
libgnomekbd-([\d\.]+)\.tar\.gz

## libgnomekbd 3.2.0

=== debian/changelog ===
libgnomekbd (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release: Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Sep 2011 07:02:35 +0200

libgnomekbd (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Link with -lm.
    - Translation updates.
  * Drop 00git_fix_libm_link.patch, applied upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Sep 2011 08:38:34 +0200

libgnomekbd (3.1.90-1) oneiric; urgency=low

  * debian/watch: Look for unstable versions and bz2 tarballs.
  * New upstream release.
  * Add 00git_fix_libm_link.patch: Fix linking with -lm. Taken from upstream
    git head.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2011 17:22:02 +0200

libgnomekbd (3.0.0.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/libgnomekbd7.symbols: Adjust .symbols file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 May 2011 02:10:07 +0200

libgnomekbd (2.91.91-2) experimental; urgency=low

  * debian/libgnomekbd-common.install:
    - Install /usr/share/GConf/gsettings and /usr/share/libgnomekbd/icons
    - Add libatk1.0-dev (>= 1.32.0-2~) build-dep to be sure we have .gir file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 21 Mar 2011 13:22:31 +0100

libgnomekbd (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [ Sjoerd Simons ]
  * debian/control.in: fix libxklavier-dev dep libgnomekbd-dev

  [ Frederic Peters ]
  * debian/libgnomekbd7.symbols: update for changed symbols.

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2011 14:22:11 +0100

libgnomekbd (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + debian/libgnomekbd7.symbols: update for new and changed symbols.
    + debian/control.in: update build-depend on libxklavier.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 10:28:46 +0100

libgnomekbd (2.91.5-4) experimental; urgency=low

  * debian/control.in:
    - Rename gir1.2-gnomekbd-3.0 to gir1.2-gkbd-3.0, add C/R/P accordingly
    - Add Vcs-* fields
  * debian/copyright: Fix copyright-with-old-dh-make-debian-copyright
    to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Feb 2011 12:32:52 +0100

libgnomekbd (2.91.5-3) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:39:35 +0000

libgnomekbd (2.91.5-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control,debian/rules:
    + add gir1.2-gnomekbd-3.0
  * debian/gir1.2-gnomekbd-3.0.install,libgnomekbd-dev.install
    + install gir and typelib
  * debian/rules:
    + call dh_girepository
    + enable introspection support

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Improve the package description.
    + Drop obsolete dpkg-dev build dependency.
    + Don't use tabs for padding.
  * debian/control.in,
    debian/rules:
    + Let CDBS call dh_girepository for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 21:55:05 +0000

libgnomekbd (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/100_gdkwindow_patch.patch:
      - Removed, fixed upstream.
    + debian/control.in:
      - Bump libgtk3.0-dev requirement.
  * debian/libgnomekbd7.symbols:
    + Add a symbols file.
  * debian/rules:
    + Fail the build if the symbols file is outdated.
    + Always depend on the latest upstream version on the shlibs file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:28:46 +0000

libgnomekbd (2.91.3.1-2) experimental; urgency=low

  + debian/patches/100_gdkwindow_patch.patch:
    + Added. Fix build with gtk 2.91.6 (from git). Based on the ubuntu
      libgnomekbd package.
  * debian/control.in: Bump build-depend on gtk to >= 2.91.6

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Dec 2010 18:21:37 +0000

libgnomekbd (2.91.3.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + Fixes build with latest gtk+3. Closes: 605896.
    + debian/patches/0001-Add-gio-to-the-required-pkg-config-modules.patch:
      - Removed, merged upstream.
    + debian/patches/01_requires_private.patch:
      - Updated.

  [ Sjoerd Simons ]
  * debian/rules: Add list-missing
  * debian/libgnomekbd-common.install: Install schemas file
  [ Sebastien Bacher ]
  * (Closes: 606361) gnome-settings-daemon crashed with signal 5 in
    gkbd_keyboard_drawing_new_dialog(). Move show-layout.ui from
    gkbd-capplet to libgnomekbd-common and add appropriate replaces
     - update debian/gkbd-capplet.install
     - update debian/libgnomekbd-common.install
     - update debian/control{.in}

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 11 Dec 2010 14:02:12 +0000

libgnomekbd (2.91.2-1) experimental; urgency=low

  * New upstream release
  * debian/patches/10_null_style_crasher.patch
    + Removed, fixed upstream
  * debian/patches/99_ltmain_as-needed.patch
    + Removed, use dh-autoreconf instead
  * Bumped soname from 4 to 7
  * debian/patches/0001-Add-gio-to-the-required-pkg-config-modules.patch
    + Added. Fix compilation with --as-needed

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 28 Nov 2010 18:56:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,30 @@
 Source: libgnomekbd
 Section: gnome
 Priority: optional
-Maintainer: Loic Minier <lool@dooz.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 5),
+        dh-autoreconf,
         autotools-dev,
-        cdbs,
+        cdbs (>= 0.4.90),
         gnome-pkg-tools (>= 0.10),
-        dpkg-dev (>= 1.13.19),
-        libglib2.0-dev (>= 2.16),
-        libgconf2-dev (>= 2.14.0),
-        libgtk2.0-dev (>= 2.13),
-        libxklavier-dev (>= 5.0),
+        libglib2.0-dev (>= 2.26),
+        libgtk-3-dev (>= 3.0.0),
+        libxklavier-dev (>= 5.1),
+        libgirepository1.0-dev (>= 0.9.12),
+        gobject-introspection (>= 0.9.12-4~),
+        gir1.2-glib-2.0,
+        gir1.2-freedesktop,
+        libatk1.0-dev (>= 1.32.0-2~),
+        gir1.2-atk-1.0 (>= 1.32.0),
+        gir1.2-gdkpixbuf-2.0,
+        gir1.2-gtk-3.0,
+        gir1.2-pango-1.0,
         intltool (>= 0.35)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libgnomekbd
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libgnomekbd
 
 Package: libgnomekbd-dev
 Section: libdevel
@@ -26,12 +37,12 @@
 Conflicts: libgnomekbdui-dev
 Replaces: libgnomekbdui-dev
 Provides: libgnomekbdui-dev
-Depends: libgnomekbd4 (= ${binary:Version}),
+Depends: libgnomekbd7 (= ${binary:Version}),
+        gir1.2-gkbd-3.0 (= ${binary:Version}),
         ${misc:Depends},
-        libglib2.0-dev (>= 2.16),
-        libgtk2.0-dev (>= 2.13),
-        libgconf2-dev (>= 2.14.0),
-        libxklavier-dev (>= 5.0),
+        libglib2.0-dev (>= 2.26),
+        libgtk-3-dev (>= 3.0.0),
+        libxklavier-dev (>= 5.1),
         libx11-dev
 Description: GNOME library to manage keyboard configuration - development files
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
@@ -41,7 +52,7 @@
  .
  This package contains the development files.
 
-Package: libgnomekbd4
+Package: libgnomekbd7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -61,7 +72,9 @@
 Architecture: all
 Depends: ${shlibs:Depends},
         ${misc:Depends}
-Replaces: capplets-data (<< 1:2.17.2)
+Replaces: capplets-data (<< 1:2.17.2),
+          gkbd-capplet (<= 2.91.2-1)
+Breaks: gkbd-capplet (<= 2.91.2-1)
 Description: GNOME library to manage keyboard configuration - common files
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -79,3 +92,23 @@
  .
  This package contains a configuration applet to select enabled libgnomekbd
  plugins.
+
+Package: gir1.2-gkbd-3.0
+Section: libs
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Conflicts: gir1.2-gnomekbd-3.0
+Replaces: gir1.2-gnomekbd-3.0
+Provides: gir1.2-gnomekbd-3.0
+Description: GObject introspection data for the GnomeKbd library
+ libgnomekbd offers an API to manage the keyboard in GNOME applications.
+ .
+ libgnomekbdui offers an API to display a graphical user interface for
+ libgnomekbd operations.
+ .
+ This package contains introspection data for the GnomeKbd library.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgnomekbd/([\d\.]+)/ \
libgnomekbd-([\d\.]+)\.tar\.bz2

## libgnomekbd 3.3.90

=== debian/changelog ===
libgnomekbd (3.3.90-1) experimental; urgency=low

  * New upstream development release.
  * Change section of gir1.2-gkbd-3.0 to introspection.
  * Remove old Provides which are no longer necessary.
  * Remove old Conflicts/Replaces.
  * Re-wrap dependencies.
  * Bump (Build-)Depends on libxklavier-dev to (>= 5.2).
  * Drop explicit Build-Depends on the gir1.2-* packages, they are pulled via
    the corresponding -dev packages.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Mar 2012 16:53:02 +0100

libgnomekbd (3.2.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Switch to .bz2 tarball and fix regex so latest directory is
    correctly detected

  [ Michael Biebl ]
  * Upload to unstable.
  * New upstream release.
    - Link against -lm for sincos. Closes: #640445
  * debian/watch:
    - Switch to .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 08:16:06 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libgnomekbd
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               autotools-dev,
               cdbs (>= 0.4.90),
               gnome-pkg-tools (>= 0.10),
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libxklavier-dev (>= 5.2),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               libatk1.0-dev (>= 1.32.0-2~),
               intltool (>= 0.35)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libgnomekbd
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libgnomekbd

Package: libgnomekbd-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgnomekbd7 (= ${binary:Version}),
         gir1.2-gkbd-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgtk-3-dev (>= 3.0.0),
         libxklavier-dev (>= 5.2),
         libx11-dev
Description: GNOME library to manage keyboard configuration - development files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the development files.

Package: libgnomekbd7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgnomekbd-common (>= ${source:Version}),
         iso-codes
Description: GNOME library to manage keyboard configuration - shared library
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the shared library.

Package: libgnomekbd-common
Section: libs
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: gkbd-capplet (<= 2.91.2-1)
Breaks: gkbd-capplet (<= 2.91.2-1)
Description: GNOME library to manage keyboard configuration - common files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains files common to the various libgnomekbd packages.

Package: gkbd-capplet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GNOME Panel applet for libgnomekbd
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 This package contains a configuration applet to select enabled libgnomekbd
 plugins.

Package: gir1.2-gkbd-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.2-gnomekbd-3.0
Replaces: gir1.2-gnomekbd-3.0
Description: GObject introspection data for the GnomeKbd library
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains introspection data for the GnomeKbd library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libgnomekbd 3.4.0.2

=== debian/changelog ===
libgnomekbd (3.4.0.2-1ubuntu0.1) precise; urgency=low

  * debian/02-Remove-redundent-key-label-information.patch:
    - Fix keys that display too much information LP: #1025508

 -- James M Leddy <james.leddy@canonical.com>  Mon, 11 Mar 2013 18:41:13 -0400

libgnomekbd (3.4.0.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.

  [ Martin Pitt ]
  * debian/gkbd-capplet.install: Drop *.ui files which do not exist any more.
  * debian/libgnomekbd7.symbols: Dropped obsolete plugin symbols.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 21:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libgnomekbd
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                dh-autoreconf,
                autotools-dev,

## libgnomekbd 3.6.0

=== debian/changelog ===
libgnomekbd (3.6.0-1ubuntu2) xenial; urgency=medium

  * Multiarchify the libarary packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 15:01:08 +0100

libgnomekbd (3.6.0-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1400150) Remaining changes:
    - debian/patches/02-Remove-redundent-key-label-information.patch:
      + Fix keys that display too much information.
    - debian/rules:
      + Update package names to match soname.
    - debian/watch:
      + Watch for unstable versions.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 07 Dec 2014 22:51:33 +0100

libgnomekbd (3.6.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix gkbd-capplet description. Closes: #691143.

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * New upstream release.
  * Rename package libgnomekbd7 -> libgnomekbd8 for new SONAME
  * Update debian/libgnomekbd8.symbols
  * Add gnome-common to build-depends to properly regenerate configure
  * Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Jul 2013 00:16:09 +0200

libgnomekbd (3.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/02-Remove-redundent-key-label-information.patch:
    - Fix keys that display too much information LP: #1025508

 -- James M Leddy <james.leddy@canonical.com>  Mon, 11 Mar 2013 18:41:13 -0400

libgnomekbd (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 Sep 2012 11:47:13 +1200

libgnomekbd (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 25 Aug 2012 17:00:38 +1200

libgnomekbd (3.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Use standards version 3.9.3
    - Update package names to match soname
  * debian/rules:
    - Update package names to match soname
  * debian/libgnomekbd8.symbols:
    - Updated
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 08 Jun 2012 14:47:40 +1200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgnomekbd
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.90),
               debhelper (>= 8),
               dh-autoreconf,
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-4~),
               intltool (>= 0.35),
               libatk1.0-dev (>= 1.32.0-2~),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libxklavier-dev (>= 5.2)
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/libgnomekbd
Vcs-Browser: http://svn.debian.org/viewpkg-gnome/desktop/unstable/libgnomekbd

Package: libgnomekbd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gkbd-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgnomekbd8 (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libx11-dev,
         libxklavier-dev (>= 5.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME library to manage keyboard configuration - development files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the development files.

Package: libgnomekbd8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: iso-codes,
         libgnomekbd-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME library to manage keyboard configuration - shared library
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains the shared library.

Package: libgnomekbd-common
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gkbd-capplet (<= 2.91.2-1)
Breaks: gkbd-capplet (<= 2.91.2-1)
Description: GNOME library to manage keyboard configuration - common files
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains files common to the various libgnomekbd packages.

Package: gkbd-capplet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME control center tools for libgnomekbd
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 This package contains a helper for the GNOME control center to
 configure and display keyboard mappings.

Package: gir1.2-gkbd-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gir1.2-gnomekbd-3.0
Replaces: gir1.2-gnomekbd-3.0
Description: GObject introspection data for the GnomeKbd library
 libgnomekbd offers an API to manage the keyboard in GNOME applications.
 .
 libgnomekbdui offers an API to display a graphical user interface for
 libgnomekbd operations.
 .
 This package contains introspection data for the GnomeKbd library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgnomekbd8 += -V -- -c4
DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	--enable-introspection=yes

common-binary-post-install-arch:: list-missing

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgnomekbd/([\d\.]+\d)/ \
libgnomekbd-([\d\.]+)\.tar\.xz

## libgnomekbd 3.22.0.1

=== debian/changelog ===
libgnomekbd (3.22.0.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update debian/rules for soname bump too
  * debian/control.in: Drop unnecessary gir build-dependencies

  [ James Leddy ]
  * debian/patches/02-Remove-redundent-key-label-information.patch:
    - Fix extra unnecessary key info in the keyboard layout widget

  [ Michael Biebl ]
  * New upstream release.
  * Drop Build-Depends on gnome-common and intltool and add gettext and
    pkg-config instead. (Closes: #829895)
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Convert to multiarch. (Closes: #813011)
  * Update debian/copyright and use machine-readable copyright format 1.0
  * Bump Standards-Version to 3.9.8.
  * Run "wrap-and-sort -a".
  * Drop obsolete Breaks/Replaces from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 00:46:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,21 @@
 Source: libgnomekbd
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: autotools-dev,
-               cdbs (>= 0.4.90),
-               debhelper (>= 8),
-               dh-autoreconf,
-               gir1.2-freedesktop,
-               gir1.2-glib-2.0,
-               gnome-common,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               gettext,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
-               intltool (>= 0.35),
                libatk1.0-dev (>= 1.32.0-2~),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
-               libxklavier-dev (>= 5.2)
-Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/libgnomekbd
-Vcs-Browser: http://svn.debian.org/viewpkg-gnome/desktop/unstable/libgnomekbd
+               libxklavier-dev (>= 5.2),
+               pkg-config
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgnomekbd
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgnomekbd
 
 Package: libgnomekbd-dev
 Section: libdevel
@@ -51,7 +45,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: iso-codes,
          libgnomekbd-common (>= ${source:Version}),
          ${misc:Depends},
@@ -67,9 +60,9 @@
 Package: libgnomekbd-common
 Section: libs
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: gkbd-capplet (<= 2.91.2-1)
-Breaks: gkbd-capplet (<= 2.91.2-1)
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNOME library to manage keyboard configuration - common files
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -80,7 +73,8 @@
 
 Package: gkbd-capplet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: GNOME control center tools for libgnomekbd
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -91,9 +85,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: gir1.2-gnomekbd-3.0
-Replaces: gir1.2-gnomekbd-3.0
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GObject introspection data for the GnomeKbd library
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-introspection

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## libgnomekbd 3.26.0

=== debian/changelog ===
libgnomekbd (3.26.0-3) unstable; urgency=medium

  * debian/libgnomekbgd8.symbols: Update for latest glib (Closes: #887775)
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 24 Feb 2018 14:27:28 -0500

libgnomekbd (3.26.0-2) unstable; urgency=medium

  * debian/libgnomekbd8.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 19:27:58 -0400

libgnomekbd (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 15:11:57 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
-               gettext,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                libatk1.0-dev (>= 1.32.0-2~),
@@ -17,9 +16,9 @@
                libgtk-3-dev (>= 3.0.0),
                libxklavier-dev (>= 5.2),
                pkg-config
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgnomekbd
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgnomekbd
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/libgnomekbd
+Vcs-Git: https://salsa.debian.org/gnome-team/libgnomekbd.git
 
 Package: libgnomekbd-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-introspection

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## libgnomekbd 3.26.1

=== debian/changelog ===
libgnomekbd (3.26.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 08:04:12 -0500

libgnomekbd (3.26.0-5) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * debian/libgnomekbd8.symbols: Add Build-Depends-Package

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 21:20:26 -0500

libgnomekbd (3.26.0-4) unstable; urgency=medium

  * debian/patches/bugzilla_invalid_layout_segfault_fix.patch:
    - backport a patch available on bugzilla to fix a segfault in the
      keyboard layout preview code. The most common case seems to be g-c-c
      trying to preview a 'default' layout which was working before some
      other fixes landed, that fixes the regression. (lp: #1721893)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Nov 2018 17:07:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgnomekbd
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.0.0),
                libxklavier-dev (>= 5.2),
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgnomekbd
 Vcs-Git: https://salsa.debian.org/gnome-team/libgnomekbd.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gir,gnome
@@ -23,4 +22,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V -- -c4
-

## libgnomekbd 3.28.1

=== debian/changelog ===
libgnomekbd (3.28.1-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Build-Depends on required gir1.2-*-dev packages.
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/tests/libgnomekbd-dev: Silence shellcheck warnings
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:33:26 -0400

libgnomekbd (3.28.1-2) unstable; urgency=medium

  [ Jarred Wilson ]
  * Add upstream metadata

  [ Simon McVittie ]
  * d/upstream/metadata: Update to reflect that the project is dead upstream
  * d/patches: Re-export in gbp pq dialect, with slightly better metadata
  * d/salsa-ci.yml: Add
  * d/control: Stop generating from a template
  * Build-depend on pkgconf in preference to pkg-config
  * Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/tests: Add a superficial autopkgtest

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.0
  * Run wrap-and-sort
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 08:38:28 -0500

libgnomekbd (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Drop 01_requires_private.patch: Handled by meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:02:29 -0400

libgnomekbd (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Drop RTL patch: applied in new release
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2022 11:58:19 -0400

libgnomekbd (3.26.1-2) unstable; urgency=medium

  * render RTL glyphs correctly (Closes: #994092)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 08 Jan 2022 16:45:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgnomekbd
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-4~),
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+           Frederic Peters <fpeters@debian.org>,
+           Jeremy Bicha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-xkl-1.0-dev,
+               gir1.2-xlib-2.0-dev,
+               gobject-introspection (>= 1.80),
                libatk1.0-dev (>= 1.32.0-2~),
-               libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.26),
+               libglib2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libxklavier-dev (>= 5.2),
-               pkg-config
-Standards-Version: 4.3.0
+               meson (>= 0.59),
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgnomekbd
 Vcs-Git: https://salsa.debian.org/gnome-team/libgnomekbd.git
 
@@ -25,13 +28,15 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gkbd-3.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.26),
+         libglib2.0-dev,
          libgnomekbd8 (= ${binary:Version}),
          libgtk-3-dev (>= 3.0.0),
          libx11-dev,
          libxklavier-dev (>= 5.2),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Description: GNOME library to manage keyboard configuration - development files
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -60,8 +65,7 @@
 Section: libs
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME library to manage keyboard configuration - common files
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -72,8 +76,7 @@
 
 Package: gkbd-capplet
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME control center tools for libgnomekbd
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .
@@ -84,9 +87,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection data for the GnomeKbd library
  libgnomekbd offers an API to manage the keyboard in GNOME applications.
  .

=== debian/tests/control ===
Tests: libgnomekbd-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libgnomekbd-dev, pkgconf
